List attachments
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Retrieve a list of attachment objects attached to an event.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | Calendars.Read |
| Delegated (personal Microsoft account) | Calendars.Read |
| Application | Calendars.Read |
HTTP request
GET /me/events/{id}/attachments
GET /users/{id|userPrincipalName}/events/{id}/attachments
Optional query parameters
This method supports the OData Query Parameters to help customize the response.
In particular, you can use the $expand query parameter to include all of the event attachments inline with the rest of the event properties. For example:
GET https://graph.microsoft.com/beta/me/events/{id}?$expand=attachments
Request headers
| Name | Type | Description |
|---|---|---|
| Authorization | string | Bearer {token}. Required. |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns a 200 OK response code and collection of Attachment objects in the response body.
Example
Request
Here is an example of the request.
GET https://graph.microsoft.com/beta/me/events/{id}/attachments
Response
Here is an example of the response. Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-type: application/json
{
"value": [
{
"@odata.type":"#microsoft.graph.fileAttachment",
"contentType": "contentType-value",
"contentLocation": "contentLocation-value",
"contentBytes": "contentBytes-value",
"contentId": "null",
"lastModifiedDateTime": "2016-10-19T10:37:00Z",
"id": "id-value",
"isInline": false,
"isContactPhoto": false,
"name": "name-value",
"size": 99
}
]
}
Feedback
Submit and view feedback for